Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class UnaryFunction

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.UnaryFunction

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

Direct Known Subclasses:
  Abs, ArcCosine, ArcCosineH, ArcSine, ArcSineH, ArcTangent, ArcTanH, Arg, BigDecNegate, Ceil, Conjugate, Cosecant, Cosine, CosineH, Cotangent, Exp, Floor, Identity, Imaginary, IsInfinite, IsNaN, IsNull, IsType, Length, Logarithm, LogBase2, LowerCase, NaturalLogarithm, Not, Secant, Signum, Sine, SineH, SquareRoot, StrictNaturalLogarithm, Tangent, TanH, Trim, UMinus, UpperCase

    public abstract class UnaryFunction

extends PostfixMathCommand

Convenient base class for unary functions. Defines an `Object eval(Object arg)` method for calculating the result.

Author:
  Richard Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`UnaryFunction()`

Method Summary
`abstract java.lang.Object` | `eval(java.lang.Object arg)`
`void` | `run(java.util.Stack<java.lang.Object> stack)` Calls `eval(Object)`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryFunction

    public UnaryFunction()

Method Detail

### run

    public final void run(java.util.Stack<java.lang.Object> stack)
                   throws EvaluationException

  Calls `eval(Object)`

  Throws:
    `EvaluationException`

### eval

    public abstract java.lang.Object eval(java.lang.Object arg)
                                   throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep